Перейти к содержанию
denvut

Error: Could not load model customer_group.php in loader.php on line 63

Рекомендуемые сообщения

столкнулся с тем что AutomatedNewsletter 2.2  не работает на версиях выше 2.0.3.1  надо править роуты - в новых версиях опенкарта клиенты (customers) вынесены в отдельный пункт меню, а модуль пытается открыть по старому адресу в папке sale  О чем собственно и говорит ошибка:

Notice: Error: Could not load model /home/srv/mail/admin/model/sale/customer_group.php! in /home/srv/mail/system/storage/modification/system/engine/loader.php on line 63 

этой же ошибке будут подвержены все модули завязанные на предыдущие версии опенкарта  

Кто знает где подправить роуты? Я попытаюсь но с наскоку хз получиться или нет

и по уму надо заплатку со стороны опенкарта сделать что при вызове старого местоположения на новое заруливало

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Вообщем починил - модуль работает, полностью не тестировал, файлик правил по адресу admin/controller/module/automatednewsletter.php

а вот как заплатку сделать на опенкарте ? 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

та не вопрос

просто контроллер вынесен в отдельный путь и наверное и модель

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

denvut, зачем вы пишите в ветку, в которой обсуждаются ошибки движка и модулей интегрированных в Opencart / ocStore?

По ошибкам сторонних модулей писать в темы поддержки данных модулей или обращаться напрямую к их разработчикам.

Закрыто.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Гость
Эта тема закрыта для публикации ответов.

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×